Loading...
Searching...
No Matches
IsoSpec::LoggingMarginal< T > Class Template Reference
Inheritance diagram for IsoSpec::LoggingMarginal< T >:

## Public Member Functions

| LoggingMarginal (T &&m)
| LoggingMarginal (T &&m, int tabSize, int hashSize)
| LoggingMarginal (const LoggingMarginal &other)=delete
LoggingMarginal & | operator= (const LoggingMarginal &other)=delete
double | getModeLProb () const
double | get_lProb (int idx) const
double | get_prob (int idx) const
double | get_mass (int idx) const
const double * | get_lProbs_ptr () const
const Conf & | get_conf (int idx) const
unsigned int | get_no_confs () const
bool | probeConfigurationIdx (int idx)
double | get_min_mass () const
double | get_max_mass () const
double | getModeMass () const
double | getLightestConfMass () const
double | getHeaviestConfMass () const
double | getMonoisotopicConfMass () const
double | getAtomAverageMass () const
double | variance () const
double | getTheoreticalAverageMass () const
double | getLogSizeEstimate (double logEllipsoidRadius) const
void | ensureModeConf ()
const pod_vector< double > & | conf_lprobs () const
const pod_vector< double > & | conf_masses () const
int | get_original_position (int idx) const
int | get_isotopeNo () const
const double * | get_lProbs () const
const double * | get_masses () const
const double * | get_atom_lProbs () const
const double * | get_atom_masses () const
bool | extend (double new_threshold, bool do_sort=true)
Public Member Functions inherited from IsoSpec::Marginal
| Marginal (const double *_masses, const double *_probs, int _isotopeNo, int _atomCnt)
| Class constructor.
Marginal & | operator= (const Marginal &other)=delete
| Marginal (const Marginal &other)
| Copy constructor.
| Marginal (Marginal &&other)
| Move constructor.
virtual | ~Marginal ()
| Destructor.
int | get_isotopeNo () const
| Get the number of isotopes of the investigated element.
const double * | get_lProbs () const
double | getLightestConfMass () const
| Get the mass of the lightest subisotopologue.
double | getHeaviestConfMass () const
| Get the mass of the heaviest subisotopologue.
double | getMonoisotopicConfMass () const
| Get the mass of the monoisotopic subisotopologue.
size_t | getMonoisotopicAtomIndex () const
| Get the index of the monoisotopic (most probable) atom.
double | getModeMass ()
| The the mass of the mode subisotopologue.
double | getModeLProb ()
| Get the log-probability of the mode subisotopologue.
double | fastGetModeLProb ()
| Get the log-probability of the mode subisotopologue. Results undefined if ensureModeConf() wasn't called before.
Conf | computeModeConf () const
| The the probability of the mode subisotopologue.
double | getSmallestLProb () const
| The the log-probability of the lightest subisotopologue.
double | getAtomAverageMass () const
| The average mass of a single atom.
double | getTheoreticalAverageMass () const
| The theoretical average mass of the molecule.
double | variance () const
| Calculate the variance of the theoretical distribution describing the subisotopologue.
double | getLogSizeEstimate (double logEllipsoidRadius) const
| Return estimated logarithm of size of the marginal at a given ellipsoid radius.
void | ensureModeConf ()

## Additional Inherited Members

Protected Member Functions inherited from IsoSpec::Marginal
ISOSPEC_FORCE_INLINE double | unnormalized_logProb (Conf conf) const
| Calculate the log-probability of a given subisotopologue.
ISOSPEC_FORCE_INLINE double | logProb (Conf conf) const
Protected Attributes inherited from IsoSpec::Marginal
const unsigned int | isotopeNo
const unsigned int | atomCnt
const double *const | atom_lProbs
const double *const | atom_masses
const double | loggamma_nominator
Conf | mode_conf
double | mode_lprob

## Detailed Description

template<typename T>
class IsoSpec::LoggingMarginal< T >

Definition at line 525 of file marginalTrek++.h.

## Constructor & Destructor Documentation

## LoggingMarginal() [1/2]

template<typename T>

IsoSpec::LoggingMarginal< T >::LoggingMarginal | ( | T && | m | ) |

inline

Definition at line 532 of file marginalTrek++.h.

## LoggingMarginal() [2/2]

template<typename T>

IsoSpec::LoggingMarginal< T >::LoggingMarginal | ( | T && | m,
|  | int | tabSize,
|  | int | hashSize )

inline

Definition at line 533 of file marginalTrek++.h.

## Member Function Documentation

## conf_lprobs()

template<typename T>

const pod_vector< double > & IsoSpec::LoggingMarginal< T >::conf_lprobs | ( |  | ) | const

inline

Definition at line 563 of file marginalTrek++.h.

## conf_masses()

template<typename T>

const pod_vector< double > & IsoSpec::LoggingMarginal< T >::conf_masses | ( |  | ) | const

inline

Definition at line 564 of file marginalTrek++.h.

## ensureModeConf()

template<typename T>

void IsoSpec::LoggingMarginal< T >::ensureModeConf | ( |  | ) |

inline

Definition at line 562 of file marginalTrek++.h.

## extend()

template<typename T>

bool IsoSpec::LoggingMarginal< T >::extend | ( | double | new_threshold,
|  | bool | do_sort = true )

inline

Definition at line 571 of file marginalTrek++.h.

## get_atom_lProbs()

template<typename T>

const double * IsoSpec::LoggingMarginal< T >::get_atom_lProbs | ( |  | ) | const

inline

Definition at line 569 of file marginalTrek++.h.

## get_atom_masses()

template<typename T>

const double * IsoSpec::LoggingMarginal< T >::get_atom_masses | ( |  | ) | const

inline

Definition at line 570 of file marginalTrek++.h.

## get_conf()

template<typename T>

const Conf & IsoSpec::LoggingMarginal< T >::get_conf | ( | int | idx | ) | const

inline

Definition at line 544 of file marginalTrek++.h.

## get_isotopeNo()

template<typename T>

int IsoSpec::LoggingMarginal< T >::get_isotopeNo | ( |  | ) | const

inline

Definition at line 566 of file marginalTrek++.h.

## get_lProb()

template<typename T>

double IsoSpec::LoggingMarginal< T >::get_lProb | ( | int | idx | ) | const

inline

Definition at line 540 of file marginalTrek++.h.

## get_lProbs()

template<typename T>

const double * IsoSpec::LoggingMarginal< T >::get_lProbs | ( |  | ) | const

inline

Definition at line 567 of file marginalTrek++.h.

## get_lProbs_ptr()

template<typename T>

const double * IsoSpec::LoggingMarginal< T >::get_lProbs_ptr | ( |  | ) | const

inline

Definition at line 543 of file marginalTrek++.h.

## get_mass()

template<typename T>

double IsoSpec::LoggingMarginal< T >::get_mass | ( | int | idx | ) | const

inline

Definition at line 542 of file marginalTrek++.h.

## get_masses()

template<typename T>

const double * IsoSpec::LoggingMarginal< T >::get_masses | ( |  | ) | const

inline

Definition at line 568 of file marginalTrek++.h.

## get_max_mass()

template<typename T>

double IsoSpec::LoggingMarginal< T >::get_max_mass | ( |  | ) | const

inline

Definition at line 548 of file marginalTrek++.h.

## get_min_mass()

template<typename T>

double IsoSpec::LoggingMarginal< T >::get_min_mass | ( |  | ) | const

inline

Definition at line 547 of file marginalTrek++.h.

## get_no_confs()

template<typename T>

unsigned int IsoSpec::LoggingMarginal< T >::get_no_confs | ( |  | ) | const

inline

Definition at line 545 of file marginalTrek++.h.

## get_original_position()

template<typename T>

int IsoSpec::LoggingMarginal< T >::get_original_position | ( | int | idx | ) | const

inline

Definition at line 565 of file marginalTrek++.h.

## get_prob()

template<typename T>

double IsoSpec::LoggingMarginal< T >::get_prob | ( | int | idx | ) | const

inline

Definition at line 541 of file marginalTrek++.h.

## getAtomAverageMass()

template<typename T>

double IsoSpec::LoggingMarginal< T >::getAtomAverageMass | ( |  | ) | const

inline

Definition at line 553 of file marginalTrek++.h.

## getHeaviestConfMass()

template<typename T>

double IsoSpec::LoggingMarginal< T >::getHeaviestConfMass | ( |  | ) | const

inline

Definition at line 551 of file marginalTrek++.h.

## getLightestConfMass()

template<typename T>

double IsoSpec::LoggingMarginal< T >::getLightestConfMass | ( |  | ) | const

inline

Definition at line 550 of file marginalTrek++.h.

## getLogSizeEstimate()

template<typename T>

double IsoSpec::LoggingMarginal< T >::getLogSizeEstimate | ( | double | logEllipsoidRadius | ) | const

inline

Definition at line 556 of file marginalTrek++.h.

## getModeLProb()

template<typename T>

double IsoSpec::LoggingMarginal< T >::getModeLProb | ( |  | ) | const

inline

Definition at line 539 of file marginalTrek++.h.

## getModeMass()

template<typename T>

double IsoSpec::LoggingMarginal< T >::getModeMass | ( |  | ) | const

inline

Definition at line 549 of file marginalTrek++.h.

## getMonoisotopicConfMass()

template<typename T>

double IsoSpec::LoggingMarginal< T >::getMonoisotopicConfMass | ( |  | ) | const

inline

Definition at line 552 of file marginalTrek++.h.

## getTheoreticalAverageMass()

template<typename T>

double IsoSpec::LoggingMarginal< T >::getTheoreticalAverageMass | ( |  | ) | const

inline

Definition at line 555 of file marginalTrek++.h.

## probeConfigurationIdx()

template<typename T>

bool IsoSpec::LoggingMarginal< T >::probeConfigurationIdx | ( | int | idx | ) |

inline

Definition at line 546 of file marginalTrek++.h.

## variance()

template<typename T>

double IsoSpec::LoggingMarginal< T >::variance | ( |  | ) | const

inline

Definition at line 554 of file marginalTrek++.h.

The documentation for this class was generated from the following file:

- /build/isospec-8QB56o/isospec-2.3.2/src/IsoSpec++/marginalTrek++.h